POST /api/v2/tokens/batch — Get multiple tokens in one call
curl --request POST \
--url https://api.shuriken.trade/api/v2/tokens/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tokens": [
"<string>"
]
}
'import requests
url = "https://api.shuriken.trade/api/v2/tokens/batch"
payload = { "tokens": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tokens: ['<string>']})
};
fetch('https://api.shuriken.trade/api/v2/tokens/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"notFound": [
"<string>"
],
"tokens": [
{
"address": "<string>",
"chain": "<string>",
"decimals": 1,
"name": "<string>",
"symbol": "<string>",
"tokenId": "<string>"
}
],
"errors": [
"<string>"
],
"invalid": [
"<string>"
]
},
"requestId": "<string>",
"pagination": {
"hasMore": true,
"limit": 1,
"page": 1,
"total": 1
}
}Tokens
Batch Get Tokens
POST
/
api
/
v2
/
tokens
/
batch
POST /api/v2/tokens/batch — Get multiple tokens in one call
Authorizations
Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.
Body
application/json
POST /api/v2/tokens/batch request body
List of token IDs in "chain:address" format (max 100)
⌘I